import React from 'react'
import { themes, impulses } from '../constants'
import BehaviourButton from '../BehaviourButton'
import { useDispatch, useSelector } from 'react-redux'
import { selectSkipIntro, selectActivateGlobalKnowledge, toggleIntro, toggleGlobalKnowledge } from '../behaviourControlsSlice'

const ImpulseControls = () => {
  let intro = useSelector(selectSkipIntro)
  let globalKnowledge = useSelector(selectActivateGlobalKnowledge)
  let dispatch = useDispatch()

  return (
    <div>
    <div className="row mt-2">
      <div className="col">
        <h4>Themes</h4>
        <div className="form-check">
          <input
            className="form-check-input" type="checkbox" checked={intro} id="skipIntroCheck"
            onClick={() => dispatch(toggleIntro())}
          />
          <label className="form-check-label" for="skipIntroCheck">
            Skip Intro on theme change  
          </label>
        </div>
		<div className="form-check">
          <input
            className="form-check-input" type="checkbox" checked={globalKnowledge} id="activateGlobalKnowledge"
            onClick={() => dispatch(toggleGlobalKnowledge())}
          />
          <label className="form-check-label" for="activateGlobalKnowledge">
            Class has common state in discussion  
          </label>
        </div>
        <div className="mt-2 btn-group">
          {themes.map(t => <BehaviourButton behaviour={t} type="theme" />)}
        </div>
      </div>

      <div className="col">
        <h4>Impulses</h4>
        <div className="btn-group mt-4"> {/* TODO: Fix allignments */}
          {impulses.map(i => <BehaviourButton behaviour={i} type="impulse" />)}
        </div>
      </div>
    </div>
  </div>
  )
}

export default ImpulseControls